Last Comment Bug 651193 - fix delayedOutOfMemory in js_InvokeOperationCallback
: fix delayedOutOfMemory in js_InvokeOperationCallback
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Gregor Wagner [:gwagner]
:
Mentors:
Depends on:
Blocks: 627200
  Show dependency treegraph
 
Reported: 2011-04-19 11:10 PDT by Gregor Wagner [:gwagner]
Modified: 2011-04-26 15:14 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.17 KB, patch)
2011-04-19 11:17 PDT, Gregor Wagner [:gwagner]
gal: review+
Details | Diff | Review

Description Gregor Wagner [:gwagner] 2011-04-19 11:10:15 PDT
We should wait until the background thread is done for reporting out of memory.
Comment 1 Gregor Wagner [:gwagner] 2011-04-19 11:17:08 PDT
Created attachment 527052 [details] [diff] [review]
patch
Comment 2 Gregor Wagner [:gwagner] 2011-04-20 09:30:37 PDT
http://hg.mozilla.org/tracemonkey/rev/d19afdbdd3fb
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-04-26 15:14:39 PDT
http://hg.mozilla.org/mozilla-central/rev/d19afdbdd3fb

Note You need to log in before you can comment on or make changes to this bug.